Page MenuHomeFreeBSD

devel/openmp: phase out
ClosedPublic

Authored by jbeich on Mar 30 2019, 10:21 PM.

Details

Summary
  • Expire after the last version without /usr/lib/libomp.so
  • Drop SOVERSION for seamless transition (i.e., avoid conditionals)
Test Plan
  • No consumer regressed on 11.2 amd64 with OPTIONS_SET+=OPENMP

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

jbeich created this revision.Mar 30 2019, 10:21 PM
jbeich updated this revision to Diff 55649.Mar 31 2019, 2:21 PM
jbeich edited the test plan for this revision. (Show Details)
  • Unbreak graphics/darktable: remove SOVERSION in LIB_DEPENDS
bapt accepted this revision.May 6 2019, 3:14 PM
This revision is now accepted and ready to land.May 6 2019, 3:14 PM
This revision was automatically updated to reflect the committed changes.